# LumiSpy

[![Build Status](https://dev.azure.com/Lumispy/lumispy/_apis/build/status/LumiSpy.lumispy?branchName=master)](https://dev.azure.com/Lumispy/lumispy/_build/latest?definitionId=3&branchName=master)
![Tests](https://github.com/lumispy/lumispy/workflows/Tests/badge.svg)
[![Coverage Status](https://coveralls.io/repos/github/LumiSpy/lumispy/badge.svg?branch=master)](https://coveralls.io/github/LumiSpy/lumispy?branch=master)

LumiSpy is an extension Python package for multi-dimensional data analysis 
provided by the [HyperSpy](http://hyperspy.org) library. It is aimed at helping 
with the analysis of luminescence spectroscopy data (cathodoluminescence, 
photoluminescence, electroluminescence, Raman, SNOM).

LumiSpy is released under the GPL v3 license. 

If analysis using LumiSpy forms a part of published work please consider 
recognising the code development by citing the
[github repository](www.github.com/lumispy/lumispy).

Instructions on how to install LumiSpy and get started: [installation guide](www.github.com/lumispy/lumispy/blob/master/INSTALLATION.md).

[Tutorials and example workflows](https://github.com/lumispy/lumispy-demos)
have been curated as a series of Jupyter notebooks that you can work through 
and modify to perform many common analyses. Simply:

1. Download the `lumispy_demos` repository in your desired folder
2. Load lumispy (as shown above)
3. In Jupyter lab, navigate to the folder and start using the notebook

Everyone is welcome to contribute. Please read our
[contributing guidelines](https://github.com/lumispy/lumispy/blob/master/.github/CONTRIBUTING.md) and get started!
